## llvm-py 0.11.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
SRCDIR        = source

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SRCDIR)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/llvmpy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/llvmpy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/llvmpy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/llvmpy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

gh-pages: clean html
	python gh-pages.py

=== llvmpy/Makefile ===
PYTHON = python

all: _api.so _capsule.so

_api.so _capsule.so: api.cpp capsule.cpp
	$(PYTHON) setup.py build_ext --inplace

api.cpp api/__init__.py: src/*.py include/llvm_binding/*.h gen/gen.py gen/binding.py
	$(PYTHON) gen/gen.py api src
	
clean: cleantemp
	rm -f _api.so _capsule.so
	rm -rf api
	
cleantemp:
	rm -f api.cpp

check: _api.so api/__init__.py
	$(PYTHON) test_binding.py
	
@PHONY: all clean check

## llvm-py 0.6%2bsvn105

=== debian/control ===
Source: llvm-py
Section: python
X-Python-Version: >= 2.5
Priority: optional
Maintainer: Carl Chenet <chaica@ohmytux.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), llvm-2.8 , llvm-2.8-dev
Standards-Version: 3.9.2
Homepage: http://mdevan.nfshost.com/llvm-py/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/llvm-py/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/llvm-py/trunk/

Package: python-llvm
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Breaks: ${python:Breaks}
Description: Python bindings for LLVM
 llvm-py provides Python bindings for LLVM, the Low Level Virtual Machine.
 It's goal is to expose enough of LLVM APIs to implement a compiler backend 
 or a VM in pure Python. 
 .
 llvm-py consists of Python and C modules that wrap over the native C++/C 
 bindings of LLVM, and does not use / have dependencies on "glue utilities" 
 like Boost.Python, swig etc.

Package: python-llvm-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, python-dbg, python-llvm (= ${binary:Version})
Description: Python bindings for LLVM (debug mode)
 llvm-py provides Python bindings for LLVM, the Low Level Virtual Machine.
 It's goal is to expose enough of LLVM APIs to implement a compiler backend 
 or a VM in pure Python. 
 .
 llvm-py consists of Python and C modules that wrap over the native C++/C 
 bindings of LLVM, and does not use / have dependencies on "glue utilities" 
 like Boost.Python, swig etc.
 .
 This package provides the debug mode.

## llvm-py 0.6+svn105

=== debian/changelog ===
llvm-py (0.6+svn105-2) unstable; urgency=low

  * debian/control
    - Bump B-D llvm-2.8 and llvm-2.8-dev to 2.9
    - Upgrade Standards-Version to 3.9.3
    - Removed ${python:Breaks}
  * debian/patches
    - Unlink-static-lib.patch  for llvm 2.9 
    - Add update-2-9.patch for llvm-py to support llvm 2.9
      (Closes: #662880)
  * debian/rules
    - Added -r 105 to svn checkout for get-orig-source

 -- Carl Chenet <chaica@ohmytux.com>  Sun, 11 Mar 2012 12:35:23 +0100

llvm-py (0.6+svn105-1) unstable; urgency=low

  * Version from the upstream SVN to support llvm 2.8 (Closes: #624901)
  * debian/control
    - Removed python-support
    - Bump python, python-all-dev, python-all-dbg to 2.6.6-3 in Build-Depends
    - Bump Standards-Version to 3.9.2
    - Removed Breaks: ${python:Breaks}
    - Using llvm-2.8 and llvm-2.8-dev in Build-Depends 
    - Replace XS-Python-Version by X-Python-Version
  * debian/copyright
    - Added new authors/copyrights for new files in the upstream
      sources.
  * debian/rules
    - Replaced dh $@ by dh $@ --with python2
    - Modified get-orig-source section
  * debian/patches
    - Added unlink-static-lib.patch (Closes: #597835)
  * debian/source/format
    - Bump to 3.0 (quilt)

 -- Carl Chenet <chaica@ohmytux.com>  Fri, 20 May 2011 04:55:19 +0200

llvm-py (0.5+svn85-1) unstable; urgency=low

  * Initial release. (Closes: #552132)

 -- Carl Chenet <chaica@ohmytux.com>  Tue, 08 Mar 2011 00:14:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Priority: optional
 Maintainer: Carl Chenet <chaica@ohmytux.com>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), llvm-2.8 , llvm-2.8-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), llvm-2.9 , llvm-2.9-dev
+Standards-Version: 3.9.3
 Homepage: http://mdevan.nfshost.com/llvm-py/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/llvm-py/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/llvm-py/trunk/
@@ -13,7 +13,6 @@
 Package: python-llvm
 Architecture: any
 Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
-Breaks: ${python:Breaks}
 Description: Python bindings for LLVM
  llvm-py provides Python bindings for LLVM, the Low Level Virtual Machine.
  It's goal is to expose enough of LLVM APIs to implement a compiler backend

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_strip:
	dh_strip --dbg-package=python-llvm-dbg

get-orig-source:
	svn checkout -r 105 --force http://llvm-py.googlecode.com/svn/trunk/ llvm-py-read-only \
	&& svn export --force llvm-py-read-only llvm-py_0.6+svn105 \
	&& tar zcf llvm-py_0.6+svn105.orig.tar.gz llvm-py_0.6+svn105 \
	&& rm -rf llvm-py_0.6+svn105 llvm-py-read-only

=== debian/watch ===
version=3
http://mdevan.nfshost.com/llvm-py/download.html llvm-py-(.*)\.tar\.bz2

## llvm-py 0.11.3

=== debian/changelog ===
llvm-py (0.11.3-1) unstable; urgency=low

  * New upstream release (switch to llvmpy)
  * Update of the homepage
  * Package moved under the pkg-llvm team
  * Carl removed from the maintainer (as he requested)
  * Add myself as maintainer
  * Standards-Version updated to version 3.9.4
  * Switch to the default llvm package, 3.2 for now (Closes: #678820)
  * Update of the watch file
  * Remove of the patches (no longer necessary)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 12 Jun 2013 09:12:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: python
 X-Python-Version: >= 2.5
 Priority: optional
-Maintainer: Carl Chenet <chaica@ohmytux.com>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), llvm-2.9 , llvm-2.9-dev
-Standards-Version: 3.9.3
-Homepage: http://mdevan.nfshost.com/llvm-py/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/llvm-py/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/llvm-py/trunk/
+Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
+Uploaders: Sylvestre Ledru <sylvestre@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3), python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), llvm , llvm-dev
+Standards-Version: 3.9.4
+Homepage: http://www.llvmpy.org/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/llvm-py/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/llvm-py/trunk/
 
 Package: python-llvm
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_strip:
	dh_strip --dbg-package=python-llvm-dbg

override_dh_auto_clean:

## llvm-py 0.12.1

=== llrtc/Makefile ===
all:
	make -C lib

ir:
	make -C lib ir

test:
	make -C lib test

clean-test:
	make -C lib clean-test

clean-temp:
	make -C lib clean-temp

clean:
	make -C lib clean

install: ir
	cp llrt_*.ll ../llvm/llrt
	make -C lib clean-temp

=== llrtc/lib/Makefile ===
OUTPUT = llrt
SOURCES = udivmod64.c sdivmod64.c div64.c mod64.c
TESTS = test_udivmod64.c test_sdivmod64.c

CLANG = clang
LLVM_LINK = llvm-link
CF = -Wall -ansi
CF_TEST = $(CF) -ftrapv
CF_BUILD = $(CF) -O0 -emit-llvm
OUTDIR = ..
STRIPPER = ../tools/striptriple.py

all: ir

ir: $(OUTDIR)/$(OUTPUT)_x86.ll $(OUTDIR)/$(OUTPUT)_x86_64.ll

$(OUTDIR)/$(OUTPUT)_x86.ll: $(SOURCES:.c=_x86.bc)
	$(LLVM_LINK) -S $+ -o $@
	python $(STRIPPER) $@

$(OUTDIR)/$(OUTPUT)_x86_64.ll: $(SOURCES:.c=_x86_64.bc)
	$(LLVM_LINK) -S $+ -o $@
	python $(STRIPPER) $@

build-test: $(SOURCES:.c=.o) $(TESTS:.c=.run)

lib$(OUTPUT).a: $(SOURCES:.c=.o)
	$(CLANG) -static $+ -o $@

test: $(TESTS:.c=.run)
	for src in $+; do \
		echo "testing $${src}";				 \
		python $${src%.*}.py > $${src%.*}.out;	 \
	done;

clean-test:
	rm -f *.out
	rm -f *.o
	rm -f *.run

clean-dist: clean-temp
	rm -f *.ll

clean-temp:
	rm -f *.bc
	rm -f *.o
	rm -f *.out

clean: clean-test clean-dist

%.c: llrt.h

%_x86.bc: %.c
	$(CLANG) -m32 $(CF_BUILD) -c $< -o $@

%_x86_64.bc: %.c
	$(CLANG) -m64 $(CF_BUILD) -c $< -o $@

%.o: %.c
	$(CLANG) $(CF_TEST) -c $<

%.run: %.c
	$(CLANG) $(CF_TEST) -o $@ $+

test_udivmod64.run: udivmod64.o
test_sdivmod64.run: udivmod64.o sdivmod64.o

=== debian/changelog ===
llvm-py (0.12.1-1) unstable; urgency=low

  * New upstream release
  * Standards-Version updated to 3.9.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 21 Nov 2013 14:08:02 +0100

llvm-py (0.12.0-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 18 Sep 2013 19:43:19 +0200

=== debian/control ===
Source: llvm-py
Section: python
X-Python-Version: >= 2.5
Priority: optional
Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3),
 python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), llvm , llvm-dev
Standards-Version: 3.9.5
Homepage: http://www.llvmpy.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/llvm-py/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/llvm-py/trunk/

Package: python-llvm
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Python bindings for LLVM
 llvm-py provides Python bindings for LLVM, the Low Level Virtual Machine.
 It's goal is to expose enough of LLVM APIs to implement a compiler backend
 or a VM in pure Python.
 .
 llvm-py consists of Python and C modules that wrap over the native C++/C
 bindings of LLVM, and does not use / have dependencies on "glue utilities"
 like Boost.Python, swig etc.

Package: python-llvm-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, python-dbg, python-llvm (= ${binary:Version})
Description: Python bindings for LLVM (debug mode)
 llvm-py provides Python bindings for LLVM, the Low Level Virtual Machine.
 It's goal is to expose enough of LLVM APIs to implement a compiler backend
 or a VM in pure Python.
 .
 llvm-py consists of Python and C modules that wrap over the native C++/C
 bindings of LLVM, and does not use / have dependencies on "glue utilities"
 like Boost.Python, swig etc.
 .
 This package provides the debug mode.

## llvm-py 0.12.7

=== debian/changelog ===
llvm-py (0.12.7-2) unstable; urgency=medium

  * LLVM defaulted on 3.5, upstream is not ready yet. Force the usage of 3.4
    until it is fixed

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 28 Sep 2014 10:21:28 +0200

llvm-py (0.12.7-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 31 Aug 2014 12:15:54 +0200

llvm-py (0.12.6-2) unstable; urgency=medium

  * Fix the Vcs-* fields
  * FTBFS with llvm 3.4. Cherry-pick upstream pull request:
    https://github.com/llvmpy/llvmpy/pull/97
    (Closes: #754719)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 14 Jul 2014 13:00:37 +0200

llvm-py (0.12.6-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 06 Jul 2014 19:29:47 +0200

llvm-py (0.12.5-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 04 May 2014 11:46:40 +0200

llvm-py (0.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 21 Feb 2014 14:57:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3),
- python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), llvm , llvm-dev
+ python-all-dev (>= 2.6.6-3), python-all-dbg (>= 2.6.6-3), llvm-3.4,
+ llvm-3.4-dev
 Standards-Version: 3.9.5
 Homepage: http://www.llvmpy.org/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/llvm-py/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/llvm-py/trunk/
+Vcs-Svn: svn://anonscm.debian.org/pkg-llvm/llvm-py/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-llvm/llvm-py/trunk/
 
 Package: python-llvm
 Architecture: any
@@ -27,7 +28,8 @@
 Architecture: any
 Priority: extra
 Section: debug
-Depends: ${shlibs:Depends}, ${misc:Depends}, python-dbg, python-llvm (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, python-dbg,
+ python-llvm (= ${binary:Version})
 Description: Python bindings for LLVM (debug mode)
  llvm-py provides Python bindings for LLVM, the Low Level Virtual Machine.
  It's goal is to expose enough of LLVM APIs to implement a compiler backend

=== debian/rules ===
#!/usr/bin/make -f
%:
	LLVM_CONFIG_PATH=/usr/bin/llvm-config-3.4 dh $@ --with python2

override_dh_strip:
	dh_strip --dbg-package=python-llvm-dbg

override_dh_auto_clean:

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/llvmpy-$1.tar.gz/ \
  https://github.com/llvmpy/llvmpy/tags .*/v?(\d[\d\.]+)\.tar\.gz
